// main.js
// soul
//
// Created by Jacob Sologub on 8 Jun 2020.
// Copyright © 2020 Jacob Sologub. All rights reserved.

import * as sattern from "sattern";

// Create Synth and Reverb SOUL Patch nodes...
const sineSynth = new sattern.SOULPatch ("./SineSynth/SineSynth.soulpatch");
const reverb = new sattern.SOULPatch ("./Reverb/Reverb.soulpatch");

// Add the Synth and Reverb SOUL Patch nodes to the main graph.
graph.add (sineSynth);
graph.add (reverb);

// Connect the Synth node output channels [1, 2] to the Reverb node input 
// channels [1, 2].
graph.connect (sineSynth.output, reverb.input)

// Alternative direct channel connections...
// graph.connect (sineSynth.output [0], reverb.input [0])
// graph.connect (sineSynth.output [1], reverb.input [1])

// Connect the main graph midi input to the Synth node midi input.
graph.connect (graph.midiIn, sineSynth.midiIn);